Debian Bug report logs - #627239
mpi-defaults: please add armel/armhf support

version graph

Package: src:mpi-defaults; Maintainer for src:mpi-defaults is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Konstantinos Margaritis <markos@genesi-usa.com>

Date: Wed, 18 May 2011 22:12:01 UTC

Severity: important

Tags: patch

Found in version mpi-defaults/0.6

Fixed in version mpi-defaults/1.0

Done: Manuel Prinz <manuel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#627239; Package src:mpi-defaults. (Wed, 18 May 2011 22:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
New Bug report received and forwarded. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 18 May 2011 22:12:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mpi-defaults: please add armel/armhf support
Date: Thu, 19 May 2011 01:24:22 +0000
[Message part 1 (text/plain, inline)]
Source: mpi-defaults
Version: 0.6
Severity: important
Tags: patch


Since 1.4.3-2.1, openmpi supports both armel and armhf. Please add
those in the mpi-defaults package. The attached patch should work.

Thanks

Konstantinos

-- System Information:
Debian Release: squeeze/sid
Architecture: armhf (armv7l)

Kernel: Linux 2.6.31.14-efikamx (PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[mpi-defaults_arm.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#627239; Package src:mpi-defaults. (Thu, 19 May 2011 06:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Anton Gladky <gladky.anton@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 May 2011 06:12:06 GMT) Full text and rfc822 format available.

Message #10 received at 627239@bugs.debian.org (full text, mbox):

From: Anton Gladky <gladky.anton@gmail.com>
To: 627239@bugs.debian.org
Subject: Re: Bug#627239: mpi-defaults: please add armel/armhf support
Date: Thu, 19 May 2011 08:08:39 +0200
[Message part 1 (text/plain, inline)]
Seems, that hurd-i386 is also supported by openmpi-bin and libopenmpi-dev.
Please, consider an adding it to mpi-defaults as well?
The modified patch is attaced.

Anton
[mpi-defaults_arm_hurd.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#627239; Package src:mpi-defaults. (Thu, 19 May 2011 20:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Thu, 19 May 2011 20:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 627239@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Anton Gladky <gladky.anton@gmail.com>, 627239@bugs.debian.org
Subject: Re: Bug#627239: mpi-defaults: please add armel/armhf support
Date: Thu, 19 May 2011 22:12:28 +0200
On Thu, May 19, 2011 at 08:08:39AM +0200, Anton Gladky wrote:
> Seems, that hurd-i386 is also supported by openmpi-bin and libopenmpi-dev.
> Please, consider an adding it to mpi-defaults as well?

I incorporated your patch, slightly modified. I'm targetting an upload to
experimental. The upload also changes LAM to MPICH, so we'd need a transition
which should be coordinated with the release team. It would be great if you
could test the package and provide feedback! Thanks in advance!

Best regards,
Manuel




Reply sent to Manuel Prinz <manuel@debian.org>:
You have taken responsibility. (Thu, 19 May 2011 21:21:39 GMT) Full text and rfc822 format available.

Notification sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Bug acknowledged by developer. (Thu, 19 May 2011 21:21:39 GMT) Full text and rfc822 format available.

Message #20 received at 627239-close@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: 627239-close@bugs.debian.org
Subject: Bug#627239: fixed in mpi-defaults 1.0
Date: Thu, 19 May 2011 21:18:16 +0000
Source: mpi-defaults
Source-Version: 1.0

We believe that the bug you reported is fixed in the latest version of
mpi-defaults, which is due to be installed in the Debian FTP archive:

mpi-default-bin_1.0_amd64.deb
  to main/m/mpi-defaults/mpi-default-bin_1.0_amd64.deb
mpi-default-dev_1.0_amd64.deb
  to main/m/mpi-defaults/mpi-default-dev_1.0_amd64.deb
mpi-defaults_1.0.dsc
  to main/m/mpi-defaults/mpi-defaults_1.0.dsc
mpi-defaults_1.0.tar.gz
  to main/m/mpi-defaults/mpi-defaults_1.0.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627239@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Manuel Prinz <manuel@debian.org> (supplier of updated mpi-defaults package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 19 May 2011 22:59:37 +0200
Source: mpi-defaults
Binary: mpi-default-dev mpi-default-bin
Architecture: source amd64
Version: 1.0
Distribution: experimental
Urgency: low
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Manuel Prinz <manuel@debian.org>
Description: 
 mpi-default-bin - Standard MPI runtime programs
 mpi-default-dev - Standard MPI development files
Closes: 553701 555653 627239
Changes: 
 mpi-defaults (1.0) experimental; urgency=low
 .
   * Use MPICH2 instead of LAM on architectures not supported by
     Open MPI. Closes: #555653.
   * Updated list of architectures where Open MPI is supported.
     Closes: #553701, #627239.
   * Dropped MPICH from the list of known MPI implementations.
   * Updated Standards-Version to 3.9.2. No changes needed.
   * Added ${misc:Depends} to Depends fields to fix lintian warning.
   * Removed versioned Build-Dependency of debhelper.
Checksums-Sha1: 
 295bf99db4e10becf8683aa216fe942a015e41de 1493 mpi-defaults_1.0.dsc
 450b49d4f212946d396ff6b43955bf4fd8d1c287 3237 mpi-defaults_1.0.tar.gz
 8ccd1424d5c80af3b895abfa6cef325013d11fca 3408 mpi-default-dev_1.0_amd64.deb
 c481d30f7a3e129ee4f8f6edd14cc5dee8caeaf0 2798 mpi-default-bin_1.0_amd64.deb
Checksums-Sha256: 
 2d4ee5f8d97a1c399c2010033f0d235322b62c406638c85fca0e4313ddea90da 1493 mpi-defaults_1.0.dsc
 0eb00d5c470f0782e573cb59000645971c6fa3086ecf76ea8e000e869b2c8cfa 3237 mpi-defaults_1.0.tar.gz
 a4d81663f810429933be3d4413d6e1f2784d2e77e75e747e550c064709656956 3408 mpi-default-dev_1.0_amd64.deb
 1cc3c8dfab181436d8ccf57fae033bc6fb625a816693277a153b08df22302c43 2798 mpi-default-bin_1.0_amd64.deb
Files: 
 057c57370fb9b4968c33c70cdf39ef18 1493 devel extra mpi-defaults_1.0.dsc
 b2f6df79793099336b34faba2c50a0ce 3237 devel extra mpi-defaults_1.0.tar.gz
 a01ed4769eac383bb0ab28a520858c65 3408 libdevel extra mpi-default-dev_1.0_amd64.deb
 666963ef33dda68c7e86e47cd63506dd 2798 net extra mpi-default-bin_1.0_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3VhrEACgkQ8WlhyMyNeVcpewCfUT5zhF03Tuk7NpspxmmwkHUZ
VgoAn0FIw6CR66ymkWkO2e2iIfCvchQ+
=9L4x
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#627239; Package src:mpi-defaults. (Wed, 28 Sep 2011 14:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Konstantinos Margaritis <markos@genesi-usa.com>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Wed, 28 Sep 2011 14:45:07 GMT) Full text and rfc822 format available.

Message #25 received at 627239@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@genesi-usa.com>
To: 627239@bugs.debian.org
Subject: status?
Date: Wed, 28 Sep 2011 17:42:57 +0300
Hi,

This bug may have been closed but there are no fixed packages in
unstable since the fix (~5 months ago), causing some packages to fail
on armhf: blacs-mpi, mpi4py, etc. Do you plan some upload to unstable
any time soon?

Thanks

Konstantinos




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>:
Bug#627239; Package src:mpi-defaults. (Mon, 07 Nov 2011 21:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <manuel@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>. (Mon, 07 Nov 2011 21:27:06 GMT) Full text and rfc822 format available.

Message #30 received at 627239@bugs.debian.org (full text, mbox):

From: Manuel Prinz <manuel@debian.org>
To: Konstantinos Margaritis <markos@genesi-usa.com>, 627239@bugs.debian.org
Subject: Re: Bug#627239: status?
Date: Mon, 7 Nov 2011 22:17:08 +0100
On Wed, Sep 28, 2011 at 05:42:57PM +0300, Konstantinos Margaritis wrote:
> This bug may have been closed but there are no fixed packages in
> unstable since the fix (~5 months ago), causing some packages to fail
> on armhf: blacs-mpi, mpi4py, etc. Do you plan some upload to unstable
> any time soon?

Yes. I had some problems with Open MPI building on ARM. I hope that is
solved now. The current plan is to upload Open MPI to experimental in
the next days, test it, and then do the transition of Open MPI and the
new mpi-defaults in one go.

Best regards,
Manuel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 12 Jan 2012 07:35:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:27:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.